   --  ஢ ⥭樠쭮 ᪮
   -- ᯨ᪮ (⮪, )   ४ᨨ
   -- ****************************************************
   -- 㭪  ⥭樠쭮 ᪮ ᯨ᮪
   -- ᥫ   [0,1,1,2,3,5,8,...]
   -- ( ᯮᮡ)
   ------------------
   fibLst1 = abc 0 1
      where abc x0 x1 = x0 : abc x1 (x0+x1)
   -------------------------------------------------------
   -- 㭪  ⥭樠쭮 ᪮ ᯨ᮪
   -- ᥫ   [0,1,1,2,3,5,8,...]
   -- (ன ᯮᮡ)
   ----------------------------------------------------
   fibLst2 = 0 : 1 : zipWith (+) fibLst2 (tail fibLst2)
   -- ****************************************************
   -- 㭪  ⥭樠쭮 ᪮ ᯨ᮪
   -- ᥫ  [-1,1,-1,1,-1,1,1-,...]
   -------------------------------------
   abc = pr fibLst1
      where pr (x1:x2:x3:lst) = x1*x3-x2*x2 : pr (x2:x3:lst)
   -- ******************************************************
   -- 㭪 頥 ᯨ᮪  ᥫ  [2..]
   -- ( ᯮᮡ)
   ------------------------------
   sieve:: [Integer] -> [Integer]
   sieve (0:xs) = sieve xs
   sieve (n:xs) = n : sieve (mark xs 1 n)
       where mark (y:ys) k m | k==m = 0 : mark ys   1   m
                             | True = y : mark ys (k+1) m
   -- ***************************************************
   -- 㭪 頥 ᯨ᮪  ᥫ  [2..]
   -- (ன ᯮᮡ)
   ----------------------
   primes' = sieve' [2..]
      where sieve' (n:xs) = n : sieve' (filter (\m -> rem m n/=0)
                                               xs)
   -- ***************************************************
   --  뢮 ⮪ ப,  -
   --   ᫥騬 ࠢ:
   --
   --   (1) s ="0";  (2) s   =s ++inv s ,
   --        1            k+1  k       k 
   --   
   --  㭪 inv   "" 㬥.
   --
   --   : 檨 .. (08.12.2013, 20:25-20:32)
   -- ***********************************************
   morse = iterate inv "0"  
        where inv str = str ++ map (\x -> if x=='1'
                                            then '0' else '1') str
   -- ************************************************************
   -- 㭪 頥 n-   ᯨ᪠
   -- (n=0,1,2,...)
   -----------------------
   nth n (x:xs) | n==0 = x 
                | True = nth (n-1) xs
   -- *******************************
   -- 㤠 ⮢ ਬ:
   -----------------------------------
   test1 = take 20 $ zip fibLst1 [0..]
   test2 = take 20 $ zip fibLst2 [0..]
   test3 = (nth 100 fibLst1,nth 100 fibLst2)
   test4 = (==) (take 2000 $ abc) (take 2000 $ cycle [-1,1])
   test5 = take 100 (sieve [2..])
   test6 = take 100 primes'
   test7 = take 10 morse
